Bug 207221 - [new port]: security/cisco-torch Mass Cisco Vulnerability Scanner
Summary: [new port]: security/cisco-torch Mass Cisco Vulnerability Scanner
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-15 18:16 UTC by Rihaz Jerrin
Modified: 2016-03-14 21:56 UTC (History)
2 users (show)

See Also:


Attachments
port file for security/cisco-torch (8.26 KB, application/x-shar)
2016-02-15 18:16 UTC, Rihaz Jerrin
no flags Details
Shar file : security/cisco-torch (8.21 KB, application/x-shar)
2016-02-16 10:53 UTC, Rihaz Jerrin
rakuco: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rihaz Jerrin 2016-02-15 18:16:01 UTC
Created attachment 167040 [details]
port file for security/cisco-torch

Cisco-torch is a mass Cisco Vulnerability Scanner.

The main feature that makes Cisco-torch different from similar 
tools is the extensive use of forking to launch multiple scanning 
processes on the background for maximum scanning efficiency. Also, 
it uses several methods of application layer fingerprinting simultaneously, 
if needed. We wanted something fast to discover remote Cisco hosts running 
Telnet, SSH, Web, NTP and SNMP services and launch dictionary attacks 
against the services discovered.
Comment 1 Rihaz Jerrin 2016-02-16 10:53:03 UTC
Created attachment 167077 [details]
Shar file : security/cisco-torch
Comment 2 Mark Felder freebsd_committer 2016-03-14 21:56:42 UTC
Committed with minor changes, thanks!
Comment 3 commit-hook freebsd_committer 2016-03-14 21:56:53 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 21:56:06 UTC 2016
New revision: 411122
URL: https://svnweb.freebsd.org/changeset/ports/411122

Log:
  Cisco-torch is a mass Cisco Vulnerability Scanner.

  The main feature that makes Cisco-torch different from similar
  tools is the extensive use of forking to launch multiple scanning
  processes on the background for maximum scanning efficiency. Also,
  it uses several methods of application layer fingerprinting simultaneously,
  if needed. We wanted something fast to discover remote Cisco hosts running
  Telnet, SSH, Web, NTP and SNMP services and launch dictionary attacks
  against the services discovered.

  WWW: http://www.hackingciscoexposed.com/?link=tools

  PR:		207221
  Submitted by:	Rihaz Jerrin <rihaz.jerrin@gmail.com>

Changes:
  head/security/Makefile
  head/security/cisco-torch/
  head/security/cisco-torch/Makefile
  head/security/cisco-torch/distinfo
  head/security/cisco-torch/files/
  head/security/cisco-torch/files/patch-cisco-torch.pl
  head/security/cisco-torch/files/patch-include_Banner.pm
  head/security/cisco-torch/files/patch-torch.conf
  head/security/cisco-torch/pkg-descr
  head/security/cisco-torch/pkg-plist